Bug 1130545 - [abrt] krb5-auth-dialog: gtk_application_impl_window_added(): krb5-auth-dialog killed by SIGSEGV
Summary: [abrt] krb5-auth-dialog: gtk_application_impl_window_added(): krb5-auth-dialo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bb8ae7baadeacedefa3d4c192d9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 13:47 UTC by Stanislav Graf
Modified: 2015-04-30 11:23 UTC (History)
9 users (show)

Fixed In Version: krb5-auth-dialog-3.14.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-30 11:23:59 UTC


Attachments (Terms of Use)
File: backtrace (17.64 KB, text/plain)
2014-08-15 13:47 UTC, Stanislav Graf
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-15 13:47 UTC, Stanislav Graf
no flags Details
File: core_backtrace (6.01 KB, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details
File: dso_list (10.76 KB, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details
File: environ (1.41 KB, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details
File: maps (54.89 KB, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details
File: open_fds (648 bytes, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details
File: var_log_messages (2.76 KB, text/plain)
2014-08-15 13:48 UTC, Stanislav Graf
no flags Details

Description Stanislav Graf 2014-08-15 13:47:53 UTC
Version-Release number of selected component:
krb5-auth-dialog-3.2.1-9.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        krb5-auth-dialog --auto
crash_function: gtk_application_impl_window_added
executable:     /usr/bin/krb5-auth-dialog
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gtk_application_impl_window_added at gtkapplicationimpl.c:90
 #1 gtk_application_window_added at gtkapplication.c:715
 #2 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:1312
 #3 _g_closure_invoke_va at gclosure.c:831
 #6 gtk_application_add_window at gtkapplication.c:1042
 #7 ka_applet_startup at ka-applet.c:193
 #8 _g_closure_invoke_va at gclosure.c:831
 #11 g_application_register at gapplication.c:1912
 #12 g_application_run at gapplication.c:2193

Potential duplicate: bug 1128490

Comment 1 Stanislav Graf 2014-08-15 13:47:57 UTC
Created attachment 927102 [details]
File: backtrace

Comment 2 Stanislav Graf 2014-08-15 13:47:59 UTC
Created attachment 927103 [details]
File: cgroup

Comment 3 Stanislav Graf 2014-08-15 13:48:01 UTC
Created attachment 927104 [details]
File: core_backtrace

Comment 4 Stanislav Graf 2014-08-15 13:48:02 UTC
Created attachment 927105 [details]
File: dso_list

Comment 5 Stanislav Graf 2014-08-15 13:48:04 UTC
Created attachment 927106 [details]
File: environ

Comment 6 Stanislav Graf 2014-08-15 13:48:06 UTC
Created attachment 927107 [details]
File: exploitable

Comment 7 Stanislav Graf 2014-08-15 13:48:08 UTC
Created attachment 927108 [details]
File: limits

Comment 8 Stanislav Graf 2014-08-15 13:48:10 UTC
Created attachment 927109 [details]
File: maps

Comment 9 Stanislav Graf 2014-08-15 13:48:12 UTC
Created attachment 927110 [details]
File: open_fds

Comment 10 Stanislav Graf 2014-08-15 13:48:14 UTC
Created attachment 927111 [details]
File: proc_pid_status

Comment 11 Stanislav Graf 2014-08-15 13:48:15 UTC
Created attachment 927112 [details]
File: var_log_messages

Comment 12 Nils Philippsen 2014-09-09 11:38:48 UTC
Thread 1 (Thread 0x7fbc740e2a00 (LWP 2224)):
#0  gtk_application_impl_window_added (impl=0x0, window=0x23504b0) at gtkapplicationimpl.c:90
No locals.

impl is NULL here, causing the crash...
--- 8< ---
  GTK_APPLICATION_IMPL_GET_CLASS (impl)->window_added (impl, window);
--- >8 ---

#1  0x00007fbc72132e16 in gtk_application_window_added (application=0x23411f0, window=0x23504b0) at gtkapplication.c:715
        priv = 0x2341120

--- 8< ---
  gtk_application_impl_window_added (application->priv->impl, window);
--- >8 ---

... so application->priv->impl is NULL which looks like it's in gtk-private code. 

Additionally, the package doesn't have this problem on F20 with release -7.fc20 and there've been only unrelated changes in the spec file since.

Changing component to gtk3.

Comment 13 Matthias Clasen 2014-09-09 19:38:19 UTC
The problem is that ka_applet_startup() is not chaining up to the superclass before doing things. This works:

static void
ka_applet_startup (GApplication *application)
{
    KaApplet *self = KA_APPLET (application);
    GtkWindow *main_window;

    KA_DEBUG ("Primary application");

    G_APPLICATION_CLASS (ka_applet_parent_class)->startup (application);

    self->priv->startup_ccache = ka_kerberos_init (self);
    main_window = ka_main_window_create (self, self->priv->uixml);
    gtk_application_add_window (GTK_APPLICATION(self), main_window);
    ka_preferences_window_create (self, self->priv->uixml);
}


The requirement is documented here:

https://developer.gnome.org/gtk3/stable/GtkApplication.html#gtk-application-new

As you've found out, it has become more deadly to ignore this requirement. In F20, you could still get away with just calling gtk_init () beforehand.

Comment 14 Nils Philippsen 2014-09-10 13:22:47 UTC
I see, thanks for the explanation! AIUI, this was fixed upstream here:

commit d58cf028b7b3b330e444c2abc41cfa574a043268
Author:     Guido Günther <agx@sigxcpu.org>
AuthorDate: Sun Feb 17 16:43:04 2013 +0100
Commit:     Guido Günther <agx@sigxcpu.org>
CommitDate: Sun Feb 17 16:43:04 2013 +0100

    Chain up on startup signal

This fix should be in the 3.8.0 release of k-a-d, the latest release I found is 3.12.0.

Itamar, (when) do you plan on rebasing krb5-auth-dialog to the current version?

Comment 15 Eric Blake 2014-09-24 03:01:39 UTC
Another user experienced a similar problem:

possibly related to something I did while upgrading from Fedora 20 to 21; I may have botched the merge of the .rpmnew file

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        krb5-auth-dialog --auto
crash_function: gtk_application_impl_window_added
executable:     /usr/bin/krb5-auth-dialog
kernel:         3.16.3-300.fc21.x86_64
package:        krb5-auth-dialog-3.2.1-10.fc21
reason:         krb5-auth-dialog killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            14986

Comment 16 Chris Evich 2014-10-13 14:19:44 UTC
Another user experienced a similar problem:

Happened at login,  both with GNOME and LXDE desktops.  

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        krb5-auth-dialog --auto
crash_function: gtk_application_impl_window_added
executable:     /usr/bin/krb5-auth-dialog
kernel:         3.16.3-302.fc21.x86_64
package:        krb5-auth-dialog-3.2.1-10.fc21
reason:         krb5-auth-dialog killed by SIGSEGV
runlevel:       N 5
type:           CCpp

Comment 17 marianne@tuxette.fr 2014-10-24 12:17:17 UTC
Another user experienced a similar problem:

Launching the software manually then look at the crash

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        krb5-auth-dialog
crash_function: gtk_application_impl_window_added
executable:     /usr/bin/krb5-auth-dialog
kernel:         3.17.1-303.fc21.x86_64
package:        krb5-auth-dialog-3.2.1-10.fc21
reason:         krb5-auth-dialog killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Nils Philippsen 2015-04-30 11:23:59 UTC
F-21 contains krb5-auth-dialog-3.14.0-1.fc21, closing out.


Note You need to log in before you can comment on or make changes to this bug.